<?php
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0)

{

 		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
	$uid=$_GET['id'];
	$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($uid)))))))."'");
	$f = mysql_fetch_array($q);
	$uid=$_GET['id'];
	 $q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($uid)))))))."'");
	 $f = mysql_fetch_array($q);
	 $count1 = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `adm`=1;"), 0);
	 $ignor = mysql_result(mysql_query("SELECT COUNT(*) FROM `ignor` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `uid_ignor`='".$f['id']."';"), 0);

	 		switch ($act) {
	default:
	echo "<title>Анкета</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '
<div class="blok3">
		Профиль  '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name_user']))))))).' (ID '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).')';
	echo '
</div>';
	if($f['status']!='')echo '
<div class="blok3">
	Статус:<br/><font color="#FF0000"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['status']))))))).']</b></font><br/>
</div>';
	if($f['ava']!='')echo '
<div class="blok3">
	<img src="../images/ava/'.$f['ava'].'" alt="ava" />
</div>';
	if($use_id!=$f['id'] AND $game==1)
	echo '
	<center><div class="blok"><img src="../images/mail.png" alt="" /> <a href="mail.php?act=new&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Сообщение</b></a>';
	if($use_id!=$f['id'] AND $ignor==1)
	echo '
	<a href="?act=ignor&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"> | <b>Из игнора</b></a>';
	if($use_id!=$f['id'] AND $ignor==0 AND $game==1)
	echo '
	<a href="?act=ignor&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b> | В игнор</b></a></div></center>';
	$query= mysql_query("SELECT * FROM `ban` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	 $f11 = mysql_fetch_array($query);
	 $p1 = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f11['adm'])))))))."'");
	 $u1 = mysql_fetch_array($p1);
	  $query1= mysql_query("SELECT * FROM `ban_chat` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	 $f10 = mysql_fetch_array($query1);
	 $p10 = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f10['adm'])))))))."'");
	 $u10 = mysql_fetch_array($p10);
	if($f['ban']==1)echo '<div class="blok3"><b>Игрок <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name_user']))))))).']</font> заблокирован</b> <b>'.rasa($u1['rasa']).' <a href="anketa.php?id='.$u1['id'].'"><span class="'.crasa($u1['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($u1['name_user']))))))).'</span></a></b> до <br/><font color="#4EEE94"><b>['.dates($f11['time']).']</b></font><br/>Причина: <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f11['text']))))))).']</b></font></div>';
		if($f['ban_chat']==1)echo '<div class="blok3"><b>Игрок <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name_user']))))))).']</font> забанен в чате</b> <b>'.rasa($u10['rasa']).' <a href="anketa.php?id='.$u10['id'].'"><span class="'.crasa($u10['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($u10['name_user']))))))).'</span></a></b> до <br/><font color="#4EEE94"><b>['.dates($f10['time']).']</b></font><br/>Причина: <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f10['text']))))))).']</b></font></div>';
	echo '<div class="blok4">';
	if($f['name_user']!='')
	echo '
	Имя: <span class="'.crasa($f['rasa']).'"><b>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name_user']))))))).'</b></span>';
	if($f['level']!='')
	echo '
	'.adm($f['level']).'
	<br/>';
	if($f['rasa']!='')
	echo '
	Раса: '.rasa($f['rasa']).'<br/>';
	if($f['pol']==M) 
	echo '
	Пол: <font color="#4EEE94"><b>[Мужской][<img src="/images/icon/m.png" alt="men"/>]</b></font><br/>';
	if($f['pol']==W) 
	echo '
	Пол: <font color="#4EEE94"><b>[Женский][<img src="/images/icon/w.png" alt="women"/>]</b></font><br/>';
	if($f['name']!='')
	echo '
	Имя: <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name']))))))).']</b></font><br/>';
	if($f['date']!=0)
	echo '
	Дата рождения: <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['date']))))))).']</b></font><br/>';
	if($f['town']!='')
	echo '
	Город: <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['town']))))))).']</b></font><br/>';
	if($f['about']!='')
	echo '
	О себе: <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['about']))))))).']</b></font><br/>';
	if($f['lasttime']!='')
	echo '
	Посл. заход: <font color="#4EEE94"><b>['.dates($f['lasttime']).']</b></font>
	<br/>';
	if($f['chat_time']!='')
	echo '
	Был в чате: <font color="#4EEE94"><b>['.dates($f['chat_time']).']</b></font><br/>';
	$okquest=$f['quest']-1;
	if($okquest<0)$okquest=0;
	echo '
	Выполнено <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($okquest))))))).']</b></font> из <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($quest_max))))))).']</b></font> заданий';
	echo '</div>';
	echo "
<div class=\"blok4\">
	<b>Планеты</b>
</div>";
	$PAGINGS = mysql_query("SELECT * FROM `planet` WHERE `uid` = '" .check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))). "' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
	echo '
<div class="blok5">
	<a href="../game/sector.php?x='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).'&amp;y='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).'"> <span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'</span></a>
</div>';
	}
	}else{
	echo '<center><div class="window"><b>В данный момент играющих планет нет</b><br/></div></center>';
	}
	if($level>=9)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=mod&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Должность</b></a></div><div class="razd"></div><div class="razd"></div>';
	if($level>=8 AND $f['ban']==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=ban&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Заблокировать</b></a></div><div class="razd"></div><div class="razd"></div>';
	if($level==9 AND $f['ban']==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=delete&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Удалить</b></a></div><div class="razd"></div><div class="razd"></div>';
	if($level>=8 AND $f['ban']!=0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=unban&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Разбанить</b></a></div><div class="razd"></div><div class="razd"></div>';
	if($level>=1)echo '<div class="blok"><img src="../images/icon/menu.png" alt="" /> <a href="?act=ban_history&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>История нарушений</b></a></div>';
	if($count1!=0 AND $f['fr_name']=='' AND $f['game']==1)echo '<div class="blok1"><img src="../images/menu.png" alt="" /> <a href="?act=fr&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'">Пригласить в Альянс</a></div><div class="razd"></div><div class="razd"></div>';
	if($f['fr_id']==$fr_id AND $count1!=0 AND $f['fr']==0 AND $f['id']!=$use_id)echo '<div class="blok1"><img src="../images/menu.png" alt="" /> <a href="?act=fr_off&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'">Изгнать из Альянса</a></div><div class="razd"></div>';
break;
case 'mod':
	if($level==9 AND $ban==0 AND $game==1){
		echo "<title>Должность</title>"; 
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="razd"></div>';
		echo '<div class="top-nav1">'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</span></a> | <font color="#4EEE94"><b>Должность</b></font></div>';
		echo '<div class="razd"></div>';  	
				if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo 'Выберите должность:<br/><select name="type">';
			echo '<option value="0">Гость</option>';
			echo '<option value="1">Игрок</option>';
			echo '<option value="5">Младший модератор</option>';
			echo '<option value="6">Старший модератор</option>';
			echo '<option value="7">Главный модератор</option>';
			if($level==9 AND $ban==0 AND $game==1)
			echo '<option value="8">Игровой администратор</option>';
			echo '<option value="9">Создатель</option>';
			echo '</select>';
			echo '<br/><input type="submit" name="submit" value="Назначить"/></form>';
			echo '</div></center>';
	}
	else
	{

			$type = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['type'])))))));
$error = false;
if ($type==8 AND $level<9)

{

	$error = $error . 'Вы не можете назначать Игровых Администраторов<br/>';
	  
}
	  		if (empty($error))
		{
		echo '<div class="blok"><b>Должность игрока <font color="#4EEE94">'.$f['login'].'</font> изменена!</b><br/></div>';
		mysql_query("UPDATE `users` SET `level`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type))))))) . "' WHERE `id` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		}
		else
		{
			echo "<div class=\"blok3\"><b>" . $error ."</b></div>";
		}
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Назад</b></a></div>';}
	break;
	case 'fr':
	$q1 = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."'");
	$f1 = mysql_fetch_array($q1);
	echo '<div class="top">'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</span></a> | Приглашение в фракцию ('.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['num']))))))).'/'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['maxnum']))))))).')</div>';
	if($count1!=0 AND $f['fr_name']=='' AND $f['game']==1){

	if($f1['maxnum']<=$f1['num']){echo '<div class="cont">Вы не можете пригласить игрока в фракцию так как в вашей фракции может состоять максимум '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['maxnum']))))))).' колоний</div>';}else{
				echo '<div class="cont">';
				$wb=$_GET['o'];
		if($wb!=1){
							echo 'Вы уверенны что хотите пригласить игрока '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).' в фракцию '.$f1['name'].'?<br/>';
							echo '<a href="?act=fr&amp;o=1&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'">Да</a> или <a href="anketa.php?id='.$f['id'].'">Отмена</a><br/>';
							}else{
	echo 'Вы пригласили игрока в фракцию '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['name']))))))).'!<br/>';
mysql_query("UPDATE `users` SET `fr`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."', `fr_name`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_name)))))))."' WHERE `id` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							}
			echo '</div>';
	}}
	break;
	
		case 'fr_off':
	echo '<div class="top">'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rasa']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</span></a> | Изгнание из фракции</div>';
	if($f['fr_id']==$fr_id AND $count1!=0 AND $f['fr']==0 AND $f['id']!=$use_id){
	$q1 = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."'");
	$f1 = mysql_fetch_array($q1);
				echo '<div class="conts">';
				$wb=$_GET['o'];
		if($wb!=1){
							echo 'Вы уверенны что хотите изгнать игрока '.$f['login'].' из фракции '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['name']))))))).'?<br/>';
							echo '<a href="?act=fr_off&amp;o=1&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'">Да</a> или <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'">Отмена</a><br/>';
							}else{
echo 'Вы изгнали игрока из фракции '.$f1['name'].'!<br/>';
mysql_query("UPDATE `users` SET `fr`=0, `fr_id`=0, `fr_name`='' WHERE `id` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
mysql_query("UPDATE `planet` SET `fr_id`=0 WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
mysql_query("UPDATE `army` SET `fr_id`=0 WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");	
mysql_query("UPDATE `sosed` SET `fr_id`=0 WHERE `uid2` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");	
mysql_query("UPDATE `sector_loc` SET `fr_id`=0 WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
mysql_query("UPDATE `fractions` SET `num`=num-1 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id'])))))))."';");
				mysql_query("DELETE FROM `fractions_users` WHERE `uid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))) . "';");	
							}
			echo '</div>';}
		break;
	case 'ban':
	if($level==9 AND $ban==0 AND $game==1){
	echo "<title>Заблокировать игрока</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1">'.rasa($f['rasa']).' <a href="anketa.php?id='.$f['id'].'"><span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</span></a> | <font color="#4EEE94"><b>Заблокировать</b></font></div>';
		echo '<div class="razd"></div>';	  	
			  	if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">Причина:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="text" /><br />Время:<br/><font color="#FF0000">(Введите от 1 до 87600 часов)</font><br/><input type="text" value="" name="tban" /><br /><input type="checkbox" value="1" name="shield" /> Силовое поле<br /><input type="checkbox" value="1" name="clearchat" /> Очистить чат<br /><input type="checkbox" value="1" name="clearforum" /> Очистить форум<br /><input type="checkbox" value="1" name="clearls" /> Очистить ЛС<br /><input type="submit" name="submit" value="Заблокировать"/></form>';
			echo '</div></center>';
	}
	else
	{
			$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
			$tban = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['tban'])))))));
			$shield = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['shield'])))))));
			$clearchat = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['clearchat'])))))));
			$clearforum = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['clearforum'])))))));
			$clearls = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['clearls'])))))));
$error = false;
if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Заголовок</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 200 || mb_strlen($_POST['text']) < 5 || mb_strlen($_POST['text']) > 200))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Причина</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-яА-Я0-9\ ]+/s',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Причина</b></font> содержит запрещенные символы<br/>';
    
}

if( trim($_POST['tban']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Время</b></ins></font><br/>';
    
}

if(!empty($_POST['tban']) && (mb_strlen($_POST['tban']) > 5 || mb_strlen($_POST['tban']) < 1 || mb_strlen($_POST['tban']) > 5))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Время</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['tban']) && (preg_match('/[^a-яА-Я0-9\ ]+/s',$_POST['tban'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Время</b></font> содержит запрещенные символы<br/>';
    
}
		
if ($tban<1 OR $tban>87600)

{	

	$error = $error . 'Банить можно от <font color="#4EEE94">[1-87600 часов]</font><br />';
				
}	  

if (empty($error))

		{
		echo '<div class="blok3">Игрок <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).']</font> заблокирован на <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tban))))))).']</font> час(ов)!<br/></div>';
		if($shield==1){
		echo '<div class="blok3">Силовое поле активировано на <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tban))))))).']</font> час(ов)<br/></div>';
		echo '</div>';
		$tshield=$realtime+($tban*3600);
		}else{
		$tshield=$realtime;
		}
		if($clearchat==1)mysql_query("DELETE FROM `brifing` WHERE `uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		if($clearforum==1)mysql_query("DELETE FROM `forum_posts` WHERE `uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		if($clearls==1)mysql_query("DELETE FROM `mail` WHERE `uid1`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		mysql_query("UPDATE `users` SET `ban`=1, `tmarat`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tshield)))))))."' WHERE `id` = '". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		mysql_query("INSERT INTO `ban` SET `uid` = '". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."', `adm`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `text`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))))."', `time`=$realtime+($tban*3600)");
		mysql_query("INSERT INTO `log_ban` SET `uid` = '". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."', `adm`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `text`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))))."', `time`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($realtime)))))))."', `ban_time`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tban)))))))."'");
		}
		else
		{
			echo "<div class=\"blok3\"><b>" . $error ."</b></div>";
		}
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Назад</b></a></div>';
	}
	break;
		case 'unban':
		if($level>=9 AND $f['ban']!=0){
		echo "<title>Разбанить</title>"; 
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok">'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.crasa($f['rasa']).'"><b>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</b></span></a> | <font color="#4EEE94"><b>Разбанить</b></font></div>';
		echo '<div class="blok">';
					$wb=$_GET['o'];
		if($wb!=1){
		                    
							echo '<b>Вы уверенны что хотите разбанить игрока <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).']</font>?<br/>';
							echo '<a href="?act=unban&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;o=1"><font color="#4EEE94">Да</font></a> или <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><font color="#4EEE94">Отмена</b></a></b><br/>';
							}else{
	echo 'Игрок <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).']</b></font> разбанен!<br/>';
		mysql_query("UPDATE `users` SET `ban`=0, `tmarat`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($realtime)))))))."' WHERE `id` = '".$f['id']."'");
		mysql_query("DELETE FROM `ban` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
}
		echo '</div>';
							}

		break;
		case 'delete':
		if($level==9){
		echo "<title>Удалить</title>"; 
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok">'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</span></a> | <font color="#4EEE94"><b>Удалить</b></font></div>';
			$wb=$_GET['o'];
		if($wb!=1){
		                    
							echo '<div class="blok">';
							echo '<b>Вы уверенны что хотите удалить игрока <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).']</font>?<br/>';
							echo '<a href="?act=delete&id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div>';
							}else{
							mysql_query("DELETE FROM `users` WHERE `id` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `army` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `art` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `autopilot` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `brifing` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `building` WHERE `id` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `doklad` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `log_zahvat` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `planet` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `planet_loc` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `planet_units` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `proposal` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `rabota` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `science` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `sector_loc` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `torg` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							mysql_query("DELETE FROM `units` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
							echo '<div class="blok"><b>Игрок успешно удален</b></div>';
						
}
		echo '</div>';
							}
	break;
	case 'ban_history':
	echo "<title>История нарушений</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</span></b></a> | <font color="#4EEE94"><b>История нарушений</b></font></div>';
	echo '<div class="razd"></div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `log_ban` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `log_ban` WHERE `uid`='".$f['id']."' ORDER BY `time` ASC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="blok3">';
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['adm'])))))))."'");
					$f = mysql_fetch_array($q);
					echo '<b>Забанил:</b> '.rasa($f['rasa']).' <a href="../p/anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="' . crasa($f['rasa']) . '">' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))) . '</span></a> на <font color="#4EEE94">['.$row['ban_time'].']</font> час(ов)<br/><b>Причина:</b> <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['text']))))))).']</b></font>
					</div>'; 

					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?act=ban_history&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;'); // 
			}
			else
			{
				div('<center><b>Нарушений небыло</b></center>','window');
			}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Назад</b></a></div>';
	break;
	case 'ignor':
	echo "<title>Игнор-лист</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="blok">'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).'</span></a> | <font color="#4EEE94"><b>Игнор-лист</b></font></div>';
	if($use_id!=$f['id'] AND $ignor==0){
	echo '<div class="blok"><b>Игрок добавлен в игнор-лист!</b></div>';
	mysql_query("INSERT INTO `ignor` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `uid_ignor`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	}
	if($use_id!=$f['id'] AND $ignor!=0){
	echo '<div class="blok"><b>Игрок удален из игнор-листа!</b></div>';
	mysql_query("DELETE FROM `ignor` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `uid_ignor`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Назад</b></a></div>';
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>